<mat-card>
  <mat-card-header>
    <mat-card-title>{{ transaction.category }}</mat-card-title>
    <mat-card-subtitle
      >{{ transaction.status }} {{ transaction.date }}</mat-card-subtitle
    >
  </mat-card-header>
  <mat-card-content>
    <p>{{ transaction.description }}</p>
    <p>
      <span *ngIf="transaction.quantity > 1"
        >{{ transaction.price | currency: "₱" }} each x
        {{ transaction.quantity }} pcs =</span
      >
      {{ transaction.price * transaction.quantity | currency: "₱" }}
    </p>
  </mat-card-content>
  <mat-card-actions>
    <button mat-raised-button color="primary" (click)="update()">Update</button>
    <button mat-raised-button color="warn" (click)="delete()">Delete</button>
  </mat-card-actions>
</mat-card>
